/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.records;


import com.tabajara.base.tables.Atuador;
import com.tabajara.base.tables.interfaces.IAtuador;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record7;
import org.jooq.Row7;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class AtuadorRecord extends UpdatableRecordImpl<AtuadorRecord> implements VertxPojo, Record7<Integer, String, String, Integer, String, String, Integer>, IAtuador {

    private static final long serialVersionUID = 373902417;

    /**
     * Setter for <code>public.atuador.atuid</code>.
     */
    @Override
    public AtuadorRecord setAtuid(Integer value) {
        set(0, value);
        return this;
    }

    /**
     * Getter for <code>public.atuador.atuid</code>.
     */
    @Override
    public Integer getAtuid() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>public.atuador.atudescricao</code>.
     */
    @Override
    public AtuadorRecord setAtudescricao(String value) {
        set(1, value);
        return this;
    }

    /**
     * Getter for <code>public.atuador.atudescricao</code>.
     */
    @Override
    public String getAtudescricao() {
        return (String) get(1);
    }

    /**
     * Setter for <code>public.atuador.atuparametro</code>.
     */
    @Override
    public AtuadorRecord setAtuparametro(String value) {
        set(2, value);
        return this;
    }

    /**
     * Getter for <code>public.atuador.atuparametro</code>.
     */
    @Override
    public String getAtuparametro() {
        return (String) get(2);
    }

    /**
     * Setter for <code>public.atuador.atuatualizacao</code>.
     */
    @Override
    public AtuadorRecord setAtuatualizacao(Integer value) {
        set(3, value);
        return this;
    }

    /**
     * Getter for <code>public.atuador.atuatualizacao</code>.
     */
    @Override
    public Integer getAtuatualizacao() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>public.atuador.atuativo</code>.
     */
    @Override
    public AtuadorRecord setAtuativo(String value) {
        set(4, value);
        return this;
    }

    /**
     * Getter for <code>public.atuador.atuativo</code>.
     */
    @Override
    public String getAtuativo() {
        return (String) get(4);
    }

    /**
     * Setter for <code>public.atuador.atuvirtual</code>.
     */
    @Override
    public AtuadorRecord setAtuvirtual(String value) {
        set(5, value);
        return this;
    }

    /**
     * Getter for <code>public.atuador.atuvirtual</code>.
     */
    @Override
    public String getAtuvirtual() {
        return (String) get(5);
    }

    /**
     * Setter for <code>public.atuador.fktipatuid</code>.
     */
    @Override
    public AtuadorRecord setFktipatuid(Integer value) {
        set(6, value);
        return this;
    }

    /**
     * Getter for <code>public.atuador.fktipatuid</code>.
     */
    @Override
    public Integer getFktipatuid() {
        return (Integer) get(6);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record7 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row7<Integer, String, String, Integer, String, String, Integer> fieldsRow() {
        return (Row7) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row7<Integer, String, String, Integer, String, String, Integer> valuesRow() {
        return (Row7) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return Atuador.ATUADOR.ATUID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return Atuador.ATUADOR.ATUDESCRICAO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return Atuador.ATUADOR.ATUPARAMETRO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field4() {
        return Atuador.ATUADOR.ATUATUALIZACAO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return Atuador.ATUADOR.ATUATIVO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field6() {
        return Atuador.ATUADOR.ATUVIRTUAL;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field7() {
        return Atuador.ATUADOR.FKTIPATUID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getAtuid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getAtudescricao();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getAtuparametro();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component4() {
        return getAtuatualizacao();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getAtuativo();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component6() {
        return getAtuvirtual();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component7() {
        return getFktipatuid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getAtuid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getAtudescricao();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getAtuparametro();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value4() {
        return getAtuatualizacao();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getAtuativo();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value6() {
        return getAtuvirtual();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value7() {
        return getFktipatuid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AtuadorRecord value1(Integer value) {
        setAtuid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AtuadorRecord value2(String value) {
        setAtudescricao(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AtuadorRecord value3(String value) {
        setAtuparametro(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AtuadorRecord value4(Integer value) {
        setAtuatualizacao(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AtuadorRecord value5(String value) {
        setAtuativo(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AtuadorRecord value6(String value) {
        setAtuvirtual(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AtuadorRecord value7(Integer value) {
        setFktipatuid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AtuadorRecord values(Integer value1, String value2, String value3, Integer value4, String value5, String value6, Integer value7) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        return this;
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IAtuador from) {
        setAtuid(from.getAtuid());
        setAtudescricao(from.getAtudescricao());
        setAtuparametro(from.getAtuparametro());
        setAtuatualizacao(from.getAtuatualizacao());
        setAtuativo(from.getAtuativo());
        setAtuvirtual(from.getAtuvirtual());
        setFktipatuid(from.getFktipatuid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IAtuador> E into(E into) {
        into.from(this);
        return into;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached AtuadorRecord
     */
    public AtuadorRecord() {
        super(Atuador.ATUADOR);
    }

    /**
     * Create a detached, initialised AtuadorRecord
     */
    public AtuadorRecord(Integer atuid, String atudescricao, String atuparametro, Integer atuatualizacao, String atuativo, String atuvirtual, Integer fktipatuid) {
        super(Atuador.ATUADOR);

        set(0, atuid);
        set(1, atudescricao);
        set(2, atuparametro);
        set(3, atuatualizacao);
        set(4, atuativo);
        set(5, atuvirtual);
        set(6, fktipatuid);
    }

    public AtuadorRecord(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
